from setuptools import setup, find_packages

setup(
    name='mseep-omniparser-autogui-mcp',
    version='0.1.0',
    description='Automatic operation of on-screen GUI.',
    long_description="Package managed by MseeP.ai",
    long_description_content_type="text/plain",
    author='mseep',
    author_email='support@skydeck.ai',
    maintainer='mseep',
    maintainer_email='support@skydeck.ai',
    url='https://github.com/mseep',
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    install_requires=['accelerate>=1.4.0', 'anthropic[bedrock,vertex]>=0.37.1', 'azure-identity>=1.20.0', 'boto3>=1.28.57', 'dashscope>=1.22.1', 'dill>=0.3.9', 'easyocr>=1.7.2', 'einops==0.8.0', 'google-auth>=2,<3', 'gradio>=5.13.2', 'groq>=0.18.0', 'jsonschema==4.22.0', 'numpy==1.26.4', 'openai>=1.58.1', 'opencv-python>=4.11.0.86', 'opencv-python-headless>=4.11.0.86', 'paddleocr>=2.9.1', 'paddlepaddle>=2.6.2', 'pre-commit==3.8.0', 'pyautogui==0.9.54', 'pytest==8.3.3', 'pytest-asyncio==0.23.6', 'ruff==0.6.7', 'screeninfo>=0.8.1', 'streamlit>=1.38.0', 'supervision==0.18.0', 'timm>=1.0.14', 'torch>=2.6.0', 'torchvision>=0.21.0', 'transformers>=4.49.0', 'uiautomation>=2.0.20', 'ultralytics==8.3.70', 'uvicorn>=0.34.0', 'pandas>=2.2.3', 'setuptools>=75.6.0', 'pyperclip>=1.9.0', 'mcp[cli]>=1.3.0', 'requests>=2.32.3'],
    keywords=['mseep'],
)
